#include "gridstorefunctions.h"
#include "gridstore.h"
#include <stdio.h>
#include <string.h>



int main(int argc,char** argv){
	if(argc < 3)
		printf("Need to have a coffee store id and coffee machine name to begin using coffee machines.\n");
	else {
		

		GSGridStore* gridstore = makeGridStore(HOST,PORT,CLUSTER_NAME,USER,PASSWORD); //Connect to GridDB cluster
		GSCollection* coffeeStore; 
		GSTimeSeries* espressoMachine;
		


		gsGetTimeSeriesGeneral(gridstore,argv[2],&espressoMachine); // Check if the coffee machine already exists
		if(espressoMachine == NULL){
			printf("Making a new espresso machine\n"); // If the coffee machine does not exist make one with its cycle counts initialized to zero.
			gsGetCollectionGeneral(gridstore,argv[1],&coffeeStore); // Get the coffee store collection that the newly created Coffee machine will belong to.
		

		// It is found by the store's store id
			if(coffeeStore == NULL){
				printf("Failed to register coffee store\n");
			} 



			else {
				GSTimestamp timestamp; 
				

				gsParseTime(argv[4],&timestamp); // Parse installation date from user
				insertCoffeeMachine(coffeeStore,argv[2],argv[3],timestamp,0,0); //Insert the coffee machine record into the coffee store
			}
		} 


		else{
			printf("The coffee machine is already exists!\n");
		}
		gsCloseGridStore(&gridstore,GS_TRUE);
	}
	return 0;
}