#include "gridstorefunctions.h"
#include "gridstore.h"
#include <stdio.h>
#include <string.h>

char* reformatAddress(char* address){
	int i;
	for(i = 0; i < strlen(address); i++){
		if(address[i] == '-')
			address[i] = ' ';
	}
	return address;
}





int main(int argc, char** argv){
	if(argc < 3)
		printf("Need to have a coffee chain name and coffee store information to add machines\n");
	else{
		

		GSGridStore* gridstore = makeGridStore(HOST,PORT,CLUSTER_NAME,USER,PASSWORD); // Connect to GridDB
		GSCollection* coffeeChain; // Coffee chain that a coffee store belongs to
		


		gsGetCollectionGeneral(gridstore,argv[1],&coffeeChain); // Get the coffee chain that the newly created coffee store will belong to
		if(coffeeChain == NULL){
			printf("The coffee chain was not registered\n");
		}
		

		float latitude = atof(argv[4]); // Get coffee store's latitude coordinate
		float longitude = atof(argv[5]); // Get coffe store's longitude coordinate
		

		
		insertCoffeeStore(coffeeChain,argv[2],reformatAddress(argv[3]),latitude,longitude); // Insert record of the coffee store into the coffee chain that it belongs to
		makeMachineCollection(gridstore,argv[2]); // Make a coffee store container so it can start storing coffee machines
		

		gsCloseGridStore(&gridstore,GS_TRUE); // Clean and close connection to GridDB cluster
	}
	return 0;
}